package edu.jt_kb.cs4308.compiler;

import java.io.File;
import java.util.Scanner;

public class Driver {
    public static void main(String[] args) {
        System.out.println("Default Setup");
        Driver program = new Driver();
        program.start();
    }

    public void start() {
        File java = new File("src/edu/jt_kb/cs4308/compiler/resources/Java.txt");
        File python = new File("src/edu/jt_kb/cs4308/compiler/resources/Python.txt");
        readFile(java);
        System.out.println();
        readFile(python);
    }

    private static void readFile(File file) {
        try (Scanner input = new Scanner(file)) {
            while (input.hasNextLine()) {
                String line = input.nextLine();
                char[] chars = line.toCharArray();
                String result = "[";
                for (char curr : chars) {
                    result += curr;
                }
                result += "]";
                System.out.println(result);

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}